<template>
  <div class="bg-white flex gap-4 ">
    <img v-if="image" :src="image" :alt="alt" />
    <slot></slot>
    <div>
      <h3 class="text-lg uppercase font-semibold mb-2 text-gray-800" :class="colorTitle">{{title}}</h3>
      <p class="text-base lg:text-xl  text-gray-400 leading-8 " :class="colorDesc">
        {{description}}
      </p>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    image: {
      type: String,
      default: '',
    },
    title: {
      type: String,
      default: '',
    },
    description: {
      type: String,
      default: '',
    },
    alt: {
      type: String,
      default: '',
    },
    itemsCenter: {
      type: Boolean,
      default: false,
    },
    colorDesc: {
      type: String,
      default: '',
    },
    colorTitle: {
      type: String,
      default: '',
    }

  }
}
</script>
